POST api/internalApp/UpdateInventoryItemPrices?ebayToken={ebayToken}&authToken={authToken}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| ebayToken | string |
None. |
|
| authToken | string |
None. |
Body Parameters
StockItemPrice| Name | Description | Type | Additional information |
|---|---|---|---|
| pkRowId | globally unique identifier |
None. |
|
| Source | string |
None. |
|
| SubSource | string |
None. |
|
| Price | decimal number |
None. |
|
| UpdateStatus | UpdateStatusType |
None. |
|
| Tag | string |
None. |
|
| Rules | Collection of StockItemPricingRule |
None. |
|
| StockItemId | globally unique identifier |
None. |
|
| sku | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"pkRowId": "d6faef16-fd7e-4a88-a328-d285f7005f53",
"source": "sample string 2",
"subSource": "sample string 3",
"price": 4.1,
"updateStatus": 0,
"tag": "sample string 5",
"rules": [
{
"$id": "2",
"pkRowId": 1,
"fkStockPricingId": "a5ae0f79-43f2-44de-8d9a-a35b6771bd27",
"type": "sample string 2",
"lowerBound": 3,
"value": 4.1
},
{
"$ref": "2"
}
],
"stockItemId": "556f7212-cd00-4d43-9005-0e93182b0291",
"sku": "sample string 7"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ObjectNone.
Response Formats
application/json, text/json
Sample:
{}